FlxpointAPI Help CenterBeta

Get Returns

gethttps://api.flxpoint.com/returns

Use this when you want to pull returns data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

This endpoint will retrieve back Returns

- Params starting with **include*** will determine the metadata returned

Request

Query parameters
  • orderIdqueryinteger

    Retrieve returns of a specific order

  • channelIdqueryinteger

    Retrieve returns of a specific channel

  • pageSizequeryinteger

    Number of entries per page

  • pageNumberqueryinteger

    Current Page

  • includeRmasqueryboolean

    Use this to include Rmas associated with the return. By default they are not included.

Example request

get/returns
curl -X GET "https://api.flxpoint.com/returns" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[ReturnModel]
idinteger
orderIdinteger
returnNumberstring
accountIdinteger
totalReturnItemsinteger
totalRmasinteger
channelIdinteger
itemsarray[ReturnItem]
idinteger
returnIdinteger
orderItemIdinteger
skustring
returnQuantityinteger
returnReasonstring
returnConditionstring
salesPricenumber
titlestring
refundedAmountnumber
bundleComponentsarray[OrderItemBundleComponent]
idinteger
orderItemIdinteger
componentVirtualVariantIdinteger
componentQuantityinteger
quantityintegerrequired
skustring
costnumber
shippedQuantityinteger
shippedStatusCompletionStatus
allowedNot StartedPartially CompletedCompleted
allocatedQuantityinteger
allocatedStatusCompletionStatus
allowedNot StartedPartially CompletedCompleted
acknowledgedQuantityinteger
acknowledgedStatusCompletionStatus
allowedNot StartedPartially CompletedCompleted
rmasarray[Rma]
idinteger
returnIdinteger
sourceIdinteger
rmaNumberstring
accountIdinteger
returnToAddressobject
idinteger
namestring
Field created real-time by concatenating "firstName" and "lastName"
addressLine1string
addressLine2string
citystring
statestring
countrystring
stateCodestring
countryCodestring
postalstring
Postal / Zip Code of address
emailstring
phonestring
Free form string field, format isn't enforced
companyNamestring
firstNamestring
lastNamestring
redactedboolean
Represents if the address information was related to an Order with a PII (Personably Identifiable Information) retention policy attached. If the Order exceeds the PII retention period, this address will have information redacted.
hashstring
Represents a unique hash of this address.
itemsarray[RmaItem]
idinteger
returnItemIdinteger
rmaIdinteger
skustring
titlestring
costnumber
returnReasonstring
returnConditionstring
notestring
quantityinteger
approvedQuantityinteger
deniedQuantityinteger
creditedAmountnumber
receivedQuantityinteger
voidedQuantityinteger
bundleComponentsarray[OrderItemBundleComponent]
totalRmaItemsinteger
createdAtstring (date-time)
updatedAtstring (date-time)
rmaStatusRmaStatus
allowedWaitingApprovedVoidedDeniedPartially ApprovedCanceled
rmaShipmentsarray[RmaShipment]
idinteger
rmaIdinteger
accountIdinteger
shipmentobject
idinteger
notestring
trackingUrlstring
trackingNumberstring
carrierstring
methodstring
shippedAtstring (date-time)
insertedAtstring (date-time)
shippingCostnumber
orderIdinteger
purchaseOrderIdinteger
fulfillmentRequestIdinteger
rmaIdinteger
sourceIdinteger
accountIdinteger
partialboolean
suppressedboolean
syncedToChannelboolean
syncErrorstring
crossDockPurchaseOrderIdinteger
shipmentItemsarray[ShipmentItem]
customFieldsarray[ShipmentCustomField]
updatedAtstring (date-time)
accountingSyncedboolean
shippingAddressobject
idinteger
namestring
Field created real-time by concatenating "firstName" and "lastName"
addressLine1string
addressLine2string
citystring
statestring
countrystring
stateCodestring
countryCodestring
postalstring
Postal / Zip Code of address
emailstring
phonestring
Free form string field, format isn't enforced
companyNamestring
firstNamestring
lastNamestring
redactedboolean
Represents if the address information was related to an Order with a PII (Personably Identifiable Information) retention policy attached. If the Order exceeds the PII retention period, this address will have information redacted.
hashstring
Represents a unique hash of this address.
attachmentsarray[RmaShipmentAttachment]
createdAtstring (date-time)
sentAtstring (date-time)
rmaShipmentStatusRmaShipmentStatus
allowedShipment CreatedShipment SentShipment ReceivedShipment Partially ReceivedShipment Voided
creditSubtotalnumber
creditAdjustmentnumber
creditTotalnumber
creditLastSyncedAtstring (date-time)
syncCreditChangesToOrderboolean
shipmentReceivedStatusShipmentReceivedStatus
allowednot_receivedpartially_receivedfully_received
accountingSyncedAtstring (date-time)
accountingErrorstring
returnTotalnumber
statusReturnStatus
allowedopenclosedcancelled
updatedAtstring (date-time)
insertedAtstring (date-time)
refundAdjustmentnumber
refundSubtotalnumber
sum of refunded_amount for all return_items on the return
refundTotalnumber
refundSubtotal + refundAdjustment
refundLastSyncedAtstring (date-time)
syncRefundChangesToOrderboolean
shipmentReceivedStatusShipmentReceivedStatus
allowednot_receivedpartially_receivedfully_received
Example response
[
  {
    "id": 0,
    "orderId": 0,
    "returnNumber": "string",
    "accountId": 0,
    "totalReturnItems": 0,
    "totalRmas": 0,
    "channelId": 0,
    "items": [
      {
        "id": 0,
        "returnId": 0,
        "orderItemId": 0,
        "sku": "string",
        "returnQuantity": 0,
        "returnReason": "string",
        "returnCondition": "string",
        "salesPrice": 0,
        "title": "string",
        "refundedAmount": 0,
        "bundleComponents": [
          null
        ]
      }
    ],
    "rmas": [
      {
        "id": 0,
        "returnId": 0,
        "sourceId": 0,
        "rmaNumber": "string",
        "accountId": 0,
        "returnToAddress": {
          "id": null,
          "name": "Joe Smith",
          "addressLine1": "120 1st Lane",
          "addressLine2": "Suite 123",
          "city": "Jacksonville",
          "state": "Florida",
          "country": "United States",
          "stateCode": "FL",
          "countryCode": "US",
          "postal": "12345",
          "email": "person@example.com",
          "phone": "1-555-123-4567",
          "companyName": null,
          "firstName": "Joe",
          "lastName": "Smith",
          "redacted": null,
          "hash": null
        },
        "items": [
          null
        ],
        "totalRmaItems": 0,
        "createdAt": "2026-04-20T00:00:00Z",
        "updatedAt": "2026-04-20T00:00:00Z",
        "rmaStatus": "Waiting",
        "rmaShipments": [
          null
        ],
        "creditSubtotal": 0,
        "creditAdjustment": 0,
        "creditTotal": 0,
        "creditLastSyncedAt": "2026-04-20T00:00:00Z",
        "syncCreditChangesToOrder": true,
        "shipmentReceivedStatus": "not_received",
        "accountingSyncedAt": "2026-04-20T00:00:00Z",
        "accountingError": "string"
      }
    ],
    "returnTotal": 0,
    "status": "open",
    "updatedAt": "2026-04-20T00:00:00Z",
    "insertedAt": "2026-04-20T00:00:00Z",
    "refundAdjustment": 0,
    "refundSubtotal": 0,
    "refundTotal": 0,
    "refundLastSyncedAt": "2026-04-20T00:00:00Z",
    "syncRefundChangesToOrder": true,
    "shipmentReceivedStatus": "not_received"
  }
]
401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Returns",
    "description": "This endpoint will retrieve back Returns\n\n- Params starting with **include*** will determine the metadata returned",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "orderId",
        "description": "Retrieve returns of a specific order"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "channelId",
        "description": "Retrieve returns of a specific channel"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "pageSize",
        "description": "Number of entries per page"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "pageNumber",
        "description": "Current Page"
      },
      {
        "schema": {
          "type": "boolean",
          "default": "false"
        },
        "in": "query",
        "name": "includeRmas",
        "description": "Use this to include Rmas associated with the return. By default they are not included."
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/ReturnModel"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight